--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "                   Taste  M : Menue");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "  Taste  M : Menue Abschalten");
		renderText(0.72, 0.85, 0.02, "           - Fendt 939 -");
		renderText(0.72, 0.81, 0.02, "  Taste  F : Fahrzeug Hauptbeleuchtung");
		renderText(0.72, 0.79, 0.02, "  Taste pos1 : RUL");
		renderText(0.72, 0.76, 0.02, "  NumPad 0 : -");
		renderText(0.72, 0.73, 0.02, "  NumPad 1 : Blinker Links");
		renderText(0.72, 0.71, 0.02, "  NumPad 2 : Warnblinker");
		renderText(0.72, 0.69, 0.02, "  NumPad 3 : Blinker Rechts");
		renderText(0.72, 0.67, 0.02, "  NumPad 4 : Arbeitslicht Vorne");
		renderText(0.72, 0.65, 0.02, "  NumPad 5 : Arbeitslicht Hinten");
		renderText(0.72, 0.63, 0.02, "  NumPad 6 : Reales Licht RUL EIN/AUS");
		renderText(0.72, 0.61, 0.02, "  NumPad 7 : Arbeitslicht Real Vorne");
		renderText(0.72, 0.59, 0.02, "  NumPad 8 : Arbeitslicht Real Hinten");
		renderText(0.72, 0.57, 0.02, "  NumPad 9 : Lichtkegel EIN/AUS");
		renderText(0.72, 0.54, 0.02, "  Taste  F : 5sec = Fernlicht");

		renderText(0.72, 0.50, 0.02, "  ");
		renderText(0.72, 0.48, 0.02, "  ");
		renderText(0.72, 0.46, 0.02, "  ");
		renderText(0.72, 0.44, 0.02, "  ");
		renderText(0.72, 0.42, 0.02, "  ");
		renderText(0.72, 0.39, 0.02, "  ");
		renderText(0.72, 0.37, 0.02, "  ");
		renderText(0.72, 0.31, 0.02, "        Powered by");
		renderText(0.72, 0.29, 0.02, " AlfamoddingTV/Speedy11vc");
    
	end;
end;   

function ShowHelp:onLeave()
	self.showHelp = false;
end;




